package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.domain.PosOrderLog;
import com.ruoyi.system.mapper.PosOrderLogMapper;
import com.ruoyi.system.service.IPosOrderLogService;

@Service
public class PosOrderLogServiceImpl implements IPosOrderLogService
{
    @Autowired
    private PosOrderLogMapper orderLogMapper;

    @Override
    public void insertOrderLog(PosOrderLog orderLog)
    {
        orderLogMapper.insertOrderLog(orderLog);
    }

    @Override
    public List<PosOrderLog> selectOrderLogList(PosOrderLog orderLog)
    {
        return orderLogMapper.selectOrderLogList(orderLog);
    }

    @Override
    public PosOrderLog selectOrderLogById(Long id)
    {
        return orderLogMapper.selectOrderLogById(id);
    }
}